# Ansible Role Forgejo

Ansible role to manage a Forgejo instance.

## Installation

Clone the repository in your local Ansible role directory:

```
git clone https://git.riou.xyz/jriou/ansible-role-forgejo.git ~/.ansible/roles/forgejo
```

## Configuration

See [Variable
precedence](https://docs.ansible.com/ansible/latest/playbook_guide/playbooks_variables.html#ansible-variable-precedence)
to find where you should put your own variables.

Then define at least `forgejo_db_password` with a strong and secure password,
encrypted using
[ansible-vault](https://docs.ansible.com/ansible/latest/cli/ansible-vault.html).

See list of [default variables](defaults/main.yml).


## Usage

Example of a basic forgejo.yml playbook:

```yaml
hosts:
  - forgejo

roles:
  - forgejo
```

Then run the playbook:

```
ansible-playbook forgejo.yml
```
